#include <iostream>
#include <vector>
#include <cmath>

using namespace std;

int main()
{
    int n,k,x,i,y,z,t;
    cin>>n>>k;
    vector<int>ital;
    for(i=0;i<n;i++){
        cin>>x;
        x=abs(x);
        ital.push_back(x);
    }
    while(n-k>0){
        t=ital.size();
        t=t-1;
        x=abs(ital[0]-ital[t]);
        y=abs(ital[0]-ital[t-1]);
        z=abs(ital[1]-ital[t]);
        if((x>z) && (x>y)){
            int m=112,mi=0;
            for(i=1;i<t;i++){
                if(m<ital[i]){
                    m=ital[i];
                    mi=i;
                }
            }
            ital.erase(ital.begin()+ mi);
        }
        if(z>x && z>y){
            ital.erase(ital.begin());
        }
        else{
            ital.pop_back();
        }
    n--;
    }
    int s=0;
    s=ital[0];
    for(i=ital.size()-1;i>0;i--){
        s=s-ital[i];
    }
    cout<<abs(s);

}